manifestVersion: "0.0.1"
id: komodo
name: Komodo
tagline: Инструмент для создания и развертывания программного обеспечения.
category: developer
version: "2.1.2"
port: 9120
description: >-
  🦎 Komodo — это платформа с открытым исходным кодом, ориентированная на оптимизацию и автоматизацию управления серверами, сборками приложений, развертываниями и контейнерными средами. Он предлагает унифицированный интерфейс, который позволяет пользователям отслеживать критически важные показатели системы, такие как загрузка ЦП, потребление памяти и использование дисков на нескольких серверах, обеспечивая полную операционную видимость. Ключевой особенностью Komodo является его способность управлять контейнерами Docker и приложениями Docker Compose, предоставляя в режиме реального времени информацию об их статусе, журналах и времени безотказной работы. Такое детальное управление контейнерами упрощает устранение неполадок и эксплуатационный надзор, упрощая командам обслуживание и оптимизацию своих развертываний.
  
  
  Построенный на архитектуре ядро-периферия, Komodo состоит из центрального блока управления, который координирует свои действия с легкими агентами, работающими на подключенных хостах. Эта структура обеспечивает безопасную и масштабируемую связь, позволяя пользователям удаленно выполнять команды, запускать автоматические сборки и развертывания, а также с легкостью получать доступ к сеансам оболочки в своей инфраструктуре. Надежное управление переменными и секретами среды платформы обеспечивает безопасную и гибкую обработку конфиденциальной информации, поддерживая такие функции, как глобальные переменные и секретную интерполяцию.
  
  
  Komodo предоставляет обширные API-интерфейсы REST и WebSocket, которые позволяют командам автоматизировать рабочие процессы, интегрироваться с внешними инструментами и программно настраивать процессы управления инфраструктурой. Он также поддерживает многопользовательскую аутентификацию с контролем доступа на основе ролей и интеграцию OAuth, обеспечивая безопасное сотрудничество внутри команд. Будучи мощной альтернативой Portainer, Komodo объединяет возможности мониторинга, развертывания и управления в единую платформу, помогая организациям повысить эффективность, сократить накладные расходы на ручной труд и обеспечить четкий контроль за своими распределенными средами.
developer: mogh.tech 
website: https://komo.do/
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
repo: https://github.com/moghtech/komodo
support: https://github.com/moghtech/komodo/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
  - 5.jpg
releaseNotes: >-
  Ключевые моменты этого выпуска включают в себя:
    - Исправлено несколько файлов компоновки с одинаковыми именами служб переопределения, приводивших к сбою интерфейс при первом создании.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/moghtech/komodo/releases.
dependencies: []
path: ""
defaultUsername: ""
defaultPassword: ""
